<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/alertas.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$alertas = new Alertas($db);

$data = json_decode(file_get_contents("php://input"));
$alertas->id = $data->id;

if(!isEmpty($data->usuario_id)
&&!isEmpty($data->tipo_alerta)
&&!isEmpty($data->estado)
&&!isEmpty($data->fecha_creacion)){

if(!isEmpty($data->usuario_id)) { 
$alertas->usuario_id = $data->usuario_id;
} else { 
$alertas->usuario_id = '';
}
if(!isEmpty($data->tipo_alerta)) { 
$alertas->tipo_alerta = $data->tipo_alerta;
} else { 
$alertas->tipo_alerta = '';
}
if(!isEmpty($data->estado)) { 
$alertas->estado = $data->estado;
} else { 
$alertas->estado = 'activa';
}
if(!isEmpty($data->fecha_creacion)) { 
$alertas->fecha_creacion = $data->fecha_creacion;
} else { 
$alertas->fecha_creacion = 'current_timestamp()';
}
$alertas->fecha_resolucion = $data->fecha_resolucion;
$alertas->latitud = $data->latitud;
$alertas->longitud = $data->longitud;
if($alertas->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update alertas","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update alertas. Data is incomplete.","document"=> ""));
}
?>
